"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.webruntimeConfig = {
    rollup: {
        plugins: []
    },
    includeLwcModules: ['force/lds'],
    lwcOptions: {
        exclude: ['/**/*.mjs', /@salesforce\/(?!lwc-dev-server).*/]
    }
};
exports.routes = [
    {
        id: 'home',
        name: 'home',
        path: '/',
        isRoot: true,
        view: 'home',
        label: 'Home'
    },
    {
        id: 'preview',
        name: 'preview',
        path: '/lwc/preview/:cmp*',
        isRoot: false,
        view: 'preview',
        label: 'LWC Preview'
    }
];
exports.theme = {
    name: 'duck',
    label: 'Duck Burrito',
    themeLayouts: {
        main: {
            view: 'mainLayout'
        }
    }
};
exports.views = {
    mainLayout: {
        name: 'mainLayout',
        label: 'Default Layout',
        component: {
            name: 'localdevserver/layout',
            regions: [
                {
                    name: 'header',
                    label: 'Header',
                    components: [
                        {
                            name: 'localdevserver/header'
                        }
                    ]
                },
                {
                    name: 'footer',
                    label: 'Footer',
                    components: []
                }
            ]
        }
    },
    home: {
        name: 'home',
        label: 'Home',
        themeLayoutType: 'main',
        component: {
            name: 'localdevserver/home',
            regions: []
        }
    },
    preview: {
        name: 'preview',
        label: 'LWC Preview',
        themeLayoutType: 'main',
        component: {
            name: 'localdevserver/preview',
            attributes: {
                cmp: '{!cmp}'
            },
            regions: []
        }
    }
};
//# sourceMappingURL=webruntimeConfig.js.map